// OptiesDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Terrell.h"
#include "OptiesDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// OptiesDlg dialog


OptiesDlg::OptiesDlg(CWnd* pParent /*=NULL*/)
	: CDialog(OptiesDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(OptiesDlg)
	m_lorentz = FALSE;
	m_terrell = FALSE;
	m_doppler = FALSE;
	m_intensiteit = FALSE;
	m_snelheid = 0.0;
	m_wortel_int = FALSE;
	//}}AFX_DATA_INIT
}


void OptiesDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(OptiesDlg)
	DDX_Check(pDX, IDC_CHECK1, m_lorentz);
	DDX_Check(pDX, IDC_CHECK2, m_terrell);
	DDX_Check(pDX, IDC_CHECK3, m_doppler);
	DDX_Check(pDX, IDC_CHECK4, m_intensiteit);
	DDX_Text(pDX, IDC_EDIT1, m_snelheid);
	DDV_MinMaxDouble(pDX, m_snelheid, -0.999, 0.999);
	DDX_Check(pDX, IDC_CHECK5, m_wortel_int);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(OptiesDlg, CDialog)
	//{{AFX_MSG_MAP(OptiesDlg)
	ON_BN_CLICKED(IDC_RADIO1, OnRadio1)
	ON_BN_CLICKED(IDC_RADIO2, OnRadio2)
	ON_BN_CLICKED(IDC_RADIO3, OnRadio3)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// OptiesDlg message handlers

void OptiesDlg::OnOK() 
{
	// TODO: Add extra validation here
	UpdateData(true);
	CDialog::OnOK();
}

void OptiesDlg::OnRadio1() 
{
	m_richting = 0;
}

void OptiesDlg::OnRadio2() 
{
	m_richting = 1;
}

void OptiesDlg::OnRadio3() 
{
	m_richting = 2;
}
