// TerrellView.h : interface of the CTerrellView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_TERRELLVIEW_H__10DFD2AD_0266_11D3_AD5C_00608C72A20A__INCLUDED_)
#define AFX_TERRELLVIEW_H__10DFD2AD_0266_11D3_AD5C_00608C72A20A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CTerrellView : public CView
{
protected: // create from serialization only
	CTerrellView();
	DECLARE_DYNCREATE(CTerrellView)

// Attributes
public:
	CTerrellDoc* GetDocument();
	
	//Zelf toegevoegd
	CClientDC	*m_pDC;
	CRect		m_oldRect;
	float		m_fRadius;
	CPalette	m_cPalette;
	CPalette	*m_pOldPalette;

// Operations
public:
	void Init();
	BOOL bSetupPixelFormat(void);
	void CreateRGBPalette(void);
	unsigned char ComponentFromIndex(int i, UINT nbits, UINT shift);
	void DrawScene();
	void DrawCockpit();
	void VoorwerpInit(int scene);
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTerrellView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CTerrellView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	//Zelf toegevoegd
	BOOL	m_play;

// Generated message map functions
protected:
	//{{AFX_MSG(CTerrellView)
	afx_msg void OnFilePlay();
	afx_msg void OnUpdateFilePlay(CCmdUI* pCmdUI);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnFileOpties();
	afx_msg void OnFileRewind();
	afx_msg void OnViewAdvancedoptions();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in TerrellView.cpp
inline CTerrellDoc* CTerrellView::GetDocument()
   { return (CTerrellDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TERRELLVIEW_H__10DFD2AD_0266_11D3_AD5C_00608C72A20A__INCLUDED_)
