// Voorwerp.h: interface for the Voorwerp class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_VOORWERP_H__B302B68B_02D7_11D3_AD5C_00608C72A20A__INCLUDED_)
#define AFX_VOORWERP_H__B302B68B_02D7_11D3_AD5C_00608C72A20A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class Voorwerp  
{
public:
	Voorwerp();
	virtual			~Voorwerp();
	void			move(double dt);
	void			set_velocity(double x, double y, double z);
	void			set_color(double red, double green, double blue);
	void			set_location(double x, double y, double z);
	void			make_cube(double ribbe);
	void			make_balk(double xribbe, double yribbe, double zribbe);
	void			make_wheel(double straal);
	void			rotate_z(double angle);
	void			calculate_lorentz();
	void			tijd_naar_nul();
	void			enable();
	void			disable();

	int				aantal_punten;
	double			punt[200][3];
	double			lorentz_punt[200][3];
	double			kleur[3];
	BOOL			gebruikt;
	double			snelheid[3];
	double			tijd;
};

#endif // !defined(AFX_VOORWERP_H__B302B68B_02D7_11D3_AD5C_00608C72A20A__INCLUDED_)
